たかなblog

のんびりと色んな情報を発信していきます。

呟き

SyntaxHighlighter Evolvedの利用をやめるか、外部エディタを導入するか、、

改行が勝手に削除されてしまうバグの原因がわかったのはいいものの、それが「SyntaxHighlighter Evolved」というプラグインによるものだと分かってしまって大変困っております。

「SyntaxHighlighter Evolved」は、HTMLやphp、CSSなどのコードをサイト内に記載するときに、タグで囲えば勝手に整形してくれるもので、めちゃくちゃ便利なんだよね。

?バグがあるのを承知で使用する
?外部エディタを使う
?SyntaxHighlighter Evolvedのバグ部分を見つけて修正する
?SyntaxHighlighter Evolvedを停止する

今までの記事に影響があるから?はなし。
Wordpressのエディタは使わないほうがいいって人が多数みたいだから、やっぱり検討するしかないのか。。
Webデザイナーとかお仕事をしていて、元々色んなツールで記事を書いている人はそりゃ外部エディタのほうが使い勝手もいいんだろうけど、Wordpressのみでサイトを管理している人間からすると、画像の挿入とかタグとかカテゴリとか、カスタムポストタイプとかカスタムタクソノミーとかどうしてもWordpressエディタの方に利便性を感じてしまう。。

ここで?、?に真剣に取り組んで、ナレッジとして記事を公開するのもありかなぁ。

しっかし、Wordpressのナレッジ系は、本当に他サイトのSEOが強すぎて太刀打ち出来ん。
年5000円以上でいいから稼げるようになったら、潔くアドレス取ろう。

-呟き
-